<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mapper.check.CheckInfoMapper">

    <select id="getPage" resultType="java.util.Map">
        select ci.id,
               ci.code,
               w.type warehouseType,
               w.name warehouseName,
               ci.create_time,
               ci.create_user,
               ci.result_type,
               ci.amount
        from check_info ci
                 left join warehouse w on ci.warehouse_id = w.id
            ${ew.customSqlSegment}
    </select>

</mapper>
